| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/polyaa.h File Reference

Antialiased polygon filling. More...

`#include "csextern.h"`
`#include "csgeom/csrect.h"`

Go to the source code of this file.

## Typedefs
typedef void(*) | csAAPFCBBox (int x, int y, int w, int h, void *arg)
| "Draw a box" callback
typedef void(*) | csAAPFCBPixel (int x, int y, float area, void *arg)
| "Draw one pixel" callback
## Functions
void | csAntialiasedPolyFill (csVector2 *iVertices, int iVertexCount, void *iArg, csAAPFCBPixel iPutPixel, csAAPFCBBox iDrawBox=0)
| This function takes a 2D polygon and splits it against a integer grid into many sub-polygons.

## Detailed Description

Antialiased polygon filling.

Definition in file polyaa.h.